Subject: PLEASE READ!!!!!!: RE: [Sip] bis03 ps version differs from txt ve rsion

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 12 Jun 2001 15:33:05 -0400

> -----Original Message-----
> From: Michel de Boer [mailto:[email-masked]]
> Sent: Tuesday, June 12, 2001 12:07 PM
> To: [email-masked]
> Subject: [Sip] bis03 ps version differs from txt version
> 
> 
> By accident I noticed that there is a difference in the postscript
> version and the text version of the rfc2543bis-03 draft.
> 
> The SIP-URL definition on page 20 of the postscript version says:
> 
> userinfo          = [ user|telephone-subscriber [":" password ]]
> user              = *( unreserved | escaped | user-unreserved )
> user-unreserved   = "&" | "=" | "+" | "$" | "," |";"|"?"|"/"
> 
> transport-param = "transport=" ( "udp" | "tcp" | "sctp" | 
> "tls" | other-transport )
> 
> The SIP-URL definition on page 19 of the text version says:
> 
>   userinfo        = user [ ":" password ]
>   user            = *( unreserved | escaped
>                   | "&" | "=" | "+" | "$" | "," )
> 
>   transport-param = "transport=" ( "udp" | "tcp" )

This is a terrible error, and I apologize. There are three files that are
different between the text and ps/pdf versions of the document, and these
three are the syntax for the URL, contact and via headers. Somehow the text
versions have reverted to an older version; I am going to look into how this
happened (I suspect the CVS repositories we use for the spec did not contain
the latest version that was in use). I have gone through and have brought
them into sync, and this will be reflected in the -04 version. I will likely
issue this shortly so that people have a consistent version asap.

> 
> And there are more differences in this syntax definition that 
> I don't want 
> to put here. Note that 'telephone-subscriber' is not defined. 

This is defined in the tel URL specification, rfc2806. This is referenced by
section 2.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/sip